--============================================================================
--  finish_quest.lua
--  Copyright (c) 2010, Bamtang Games. All Rights Reserved.
------------------------------------------------------------------------------
require("scripts/style.lua");

SetState(kPause, true);

function FinishQuest_Back()
    SetState(kPause, false);
    PopModal("FinishQuestDialog");
end

MakeDialog {
    name = "FinishQuestDialog";

    Bitmap {
        name = "background";
        image = "gpx/screens/endgame_background.png";
        x = 0; y = 0;
        alpha = true;

    --wndMove {
    --    x = kCenter; y = kCenter;
	--	w = kMax; h = kMax;

        wndFinishQuest {
			name = "wndFinishQuest";
            x = 0; y = 0;
            w = kMax; h = kMax;

            Bitmap {
				name = "bmpPanel";
                x = kCenter; y = 35;
                image = "gpx/screens/panel03";

                clsText {
                    name = "lblTitle";
                    font = Font48;
                    flags = kVAlignCenter + kHAlignCenter;
                    label = "lblFinishQuestTitle";
                    x = 19; y = 20;
                    w = 400; h = 55;
                    Scale = 0.5;
                    Space = -10;
                };
                Text {
					x = kCenter;
					y = 73;
					w = 400;
					h = 120;
                    font = Font18;
					   label = "lblFinishQuestText";
			        flags = kHAlignCenter + kVAlignCenter;
                };
                SetStyle(PauseButtonStyle);
                Button {
                    name = "btnOk";
                    x = kCenter; y = 200;
                    label = "btnOk";
                    cancel = true;
                    command = function()
                        --SetState(kPause, false);
                        --PopModal("FinishQuestDialog");
                        gfn_onFinishQuest_Back();
                    end
                };
            };
        };
    };

    --};

    Bitmap {
        name = "bmpFade";
        image = "gpx/screens/panel_background.png";
        x = 0; y = 0;
        alpha = true;
    };

};
